> ## Documentation Index
> Fetch the complete documentation index at: https://docs.costgraph.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get your custom database pricing entries

> List the managed database rates your organization has registered. Only your own rates are returned.
Filters combine, and paging is by limit and offset.



## OpenAPI

````yaml https://raw.githubusercontent.com/baselinehq/mintlify-docs/main/api-reference/openapi.json get /marketplace/providers/databases
openapi: 3.0.1
info:
  title: CostGraph Pricing API
  description: Provides API level access to the Costgraph Services.
  termsOfService: https://costgraph.baselinehq.cloud/terms-of-use
  contact:
    name: Customer Support
    url: https://costgraph.baselinehq.cloud/support
    email: contact@baselinehq.cloud
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: '1.0'
servers:
  - url: https://pricing.baselinehq.cloud/
security: []
paths:
  /marketplace/providers/databases:
    get:
      summary: Get your custom database pricing entries
      description: >-
        List the managed database rates your organization has registered. Only
        your own rates are returned.

        Filters combine, and paging is by limit and offset.
      parameters:
        - name: limit
          in: query
          description: Maximum entries to return (default 500)
          schema:
            type: integer
        - name: offset
          in: query
          description: Entries to skip
          schema:
            type: integer
        - name: service
          in: query
          description: Filter by service
          schema:
            type: string
        - name: region
          in: query
          description: Filter by region
          schema:
            type: string
        - name: engine
          in: query
          description: Filter by engine
          schema:
            type: string
        - name: edition
          in: query
          description: Filter by edition
          schema:
            type: string
        - name: instance_type
          in: query
          description: Filter by instance type
          schema:
            type: string
        - name: usage_type
          in: query
          description: Filter by usage type
          schema:
            type: string
      responses:
        '200':
          description: Pricing response for custom database pricing
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/types.MarketplaceDatabaseProvidersResponse
        '400':
          description: Invalid limit or offset
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/handler.ErrorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/handler.ErrorResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/handler.ErrorResponse'
      security:
        - ApiKeyAuth: []
        - BearerAuth: []
components:
  schemas:
    types.MarketplaceDatabaseProvidersResponse:
      type: object
      properties:
        providers:
          type: array
          items:
            $ref: '#/components/schemas/schema.DatabasePricingsRow'
    handler.ErrorResponse:
      type: object
      properties:
        error:
          type: string
    schema.DatabasePricingsRow:
      type: object
      properties:
        architecture:
          type: string
        availability_zone:
          type: string
        billing_config:
          type: string
        capacity_unit:
          type: string
        cost_per_capacity_unit:
          type: number
        cost_per_hour:
          type: number
        cost_per_io_request:
          type: number
        cost_per_iops_hour:
          type: number
        cost_per_storage_gb_hour:
          type: number
        cost_per_throughput_mbps_hour:
          type: number
        cost_per_vcpu_license_hour:
          type: number
        cpu_cores:
          type: number
        cpu_cores_cost_per_hour:
          type: number
        created_at:
          type: string
        currency:
          type: string
        deployment_option:
          type: string
        edition:
          type: string
        engine:
          type: string
        id:
          type: string
        instance_type:
          type: string
        max_iops:
          type: number
        max_storage_gb:
          type: number
        max_throughput_mbps:
          type: number
        min_iops:
          type: number
        min_storage_gb:
          type: number
        min_throughput_mbps:
          type: number
        native_cost_per_hour:
          type: number
        native_cost_per_storage_gb_hour:
          type: number
        period_billing_hours:
          type: number
        provider:
          type: string
        ram_gb:
          type: number
        ram_gb_cost_per_hour:
          type: number
        raw_pricing_data:
          type: object
          properties: {}
        region:
          type: string
        service:
          type: string
        storage_type:
          type: string
        tags:
          type: object
          properties: {}
        updated_at:
          type: string
        usage_type:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      description: API key with "bl_" prefix (e.g. "bl_<api_key>")
      name: X-API-Key
      in: header
    BearerAuth:
      type: apiKey
      description: Bearer token for authentication (e.g. "Bearer <token>")
      name: Authorization
      in: header

````